curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/recurrences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"counterparty_bank_account_id": "019f2433-fc70-e080-7d0d-434f3e3e2716",
"start_date": "2026-07-02T19:00:14.576106Z",
"counterparty_id": "019f2433-fc70-48c2-7e21-92a325250b3a",
"inserted_at": "2026-07-02T19:00:14.576109Z",
"type": "in",
"entity_id": "019f2433-fc70-93ce-24c2-fa67aab62b5e",
"reference_id": "019f2433-fc70-f156-de3c-edd98da9c015",
"approval_type": "qrdn",
"minimum_amount": {
"amount": 10,
"currency": "BRL"
},
"ispb": "19947272",
"first_payment_date": "2026-07-02T19:00:14.576105Z",
"virtual_account_id": "019f2433-fc70-bdd7-af3d-04b39b57ed8c",
"number_of_collections": 10,
"company_id": "019f2433-fc70-c21e-94d2-964df992eec0",
"automatic_schedule": false,
"end_date": "2026-07-02T19:00:14.576106Z",
"status": "approved",
"updated_at": "2026-07-02T19:00:14.576109Z",
"next_working_day": true,
"description": "Descrição da recorrência",
"id": "019f2433-fc70-9a6a-9024-29ac6a2ad3c8",
"id_rec": "019f2433-fc70-8a1a-a7d6-99741bad3e00",
"fixed_amount": {
"amount": 10,
"currency": "BRL"
},
"contract_number": "123",
"txid": "HASHJDFHJASDJHFUU23E1287317823",
"journey": "aut1",
"external_id": "Teste 1",
"authorization_date": "2026-07-02T19:00:14.576108Z",
"retry_policy": "none",
"timestamp": "2026-07-02T19:00:14.576091Z",
"origin_id": "019f2433-fc70-d826-d526-d1f86e60793d",
"org_id": "019f2433-fc70-95f6-3398-34ab36067425",
"first_payment_amount": {
"amount": 10,
"currency": "BRL"
},
"maximum_amount": {
"amount": 10,
"currency": "BRL"
},
"periodicity": "week",
"origin_type": "api_client",
"update_date": "2026-07-02T19:00:14.576108Z",
"bank_account_id": "019f2433-fc70-6451-ca10-2d18e12ada97",
"counterparty_info_id": "019f2433-fc70-dca5-da57-33a13c4015b1",
"counterparty_seq": "12"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}List Recurrences
List recurrences with parameters
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Recurrence Entity Id
Virtual Account Id
Recurrence datetime, lower bound for the list of recurrences
Recurrence datetime, upper bound for the list of recurrences
Parameter used for pagination. It is a base64 encoded param used to access the previous page of results. It is provided alongside a metadata section if there is a previous page.
Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.
Number of registries to be returned
Response
Recurrences
Recurrence lists response
A list data of automatic recurrences
Show child attributes
Show child attributes
[
{
"counterparty_bank_account_id": "019f2433-fc70-e080-7d0d-434f3e3e2716",
"start_date": "2026-07-02T19:00:14.576106Z",
"counterparty_id": "019f2433-fc70-48c2-7e21-92a325250b3a",
"inserted_at": "2026-07-02T19:00:14.576109Z",
"type": "in",
"entity_id": "019f2433-fc70-93ce-24c2-fa67aab62b5e",
"reference_id": "019f2433-fc70-f156-de3c-edd98da9c015",
"approval_type": "qrdn",
"minimum_amount": { "amount": 10, "currency": "BRL" },
"ispb": "19947272",
"first_payment_date": "2026-07-02T19:00:14.576105Z",
"virtual_account_id": "019f2433-fc70-bdd7-af3d-04b39b57ed8c",
"number_of_collections": 10,
"company_id": "019f2433-fc70-c21e-94d2-964df992eec0",
"automatic_schedule": false,
"end_date": "2026-07-02T19:00:14.576106Z",
"status": "approved",
"updated_at": "2026-07-02T19:00:14.576109Z",
"next_working_day": true,
"description": "Descrição da recorrência",
"id": "019f2433-fc70-9a6a-9024-29ac6a2ad3c8",
"id_rec": "019f2433-fc70-8a1a-a7d6-99741bad3e00",
"fixed_amount": { "amount": 10, "currency": "BRL" },
"contract_number": "123",
"txid": "HASHJDFHJASDJHFUU23E1287317823",
"journey": "aut1",
"external_id": "Teste 1",
"authorization_date": "2026-07-02T19:00:14.576108Z",
"retry_policy": "none",
"timestamp": "2026-07-02T19:00:14.576091Z",
"origin_id": "019f2433-fc70-d826-d526-d1f86e60793d",
"org_id": "019f2433-fc70-95f6-3398-34ab36067425",
"first_payment_amount": { "amount": 10, "currency": "BRL" },
"maximum_amount": { "amount": 10, "currency": "BRL" },
"periodicity": "week",
"origin_type": "api_client",
"update_date": "2026-07-02T19:00:14.576108Z",
"bank_account_id": "019f2433-fc70-6451-ca10-2d18e12ada97",
"counterparty_info_id": "019f2433-fc70-dca5-da57-33a13c4015b1",
"counterparty_seq": "12"
}
]

